package cn.com.qmth.scancloud.tools.config;

import cn.com.qmth.scancloud.tools.enums.TaskType;
import cn.com.qmth.scancloud.tools.service.AbstractTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TaskConfig {

    private final static Logger log = LoggerFactory.getLogger(TaskConfig.class);

    public void doTask() {

        TaskType taskType = TaskType.findByName(SysProperty.TASK_TYPE);
        if (taskType == null) {
            return;
        }

        AbstractTask task;
        try {
            task = (AbstractTask) taskType.getImpl().newInstance();
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            return;
        }
        task.run();
    }

}
