package cn.com.qmth.scancloud.tools.service.impl;

import cn.com.qmth.scancloud.tools.config.SysProperty;
import cn.com.qmth.scancloud.tools.enums.TaskType;
import cn.com.qmth.scancloud.tools.service.AbstractTask;
import cn.com.qmth.scancloud.tools.utils.HttpHelper;
import cn.com.qmth.scancloud.tools.utils.StatusException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 考生清理
 */
public class ExamStudentCleanTask extends AbstractTask {

    private static final Logger log = LoggerFactory.getLogger(ExamStudentCleanTask.class);

    @Override
    protected String getTaskName() {
        return TaskType.EXAM_STUDENT_CLEAN.getTitle();
    }

    @Override
    protected void execute() {
        Long examId = SysProperty.EXAM_ID;
        if (examId == null) {
            throw new StatusException("【scan.tool.examId】未配置！");
        }

        String url = SysProperty.SCAN_SERVER_URL + "/api/tool/exam/student/clean?examId=" + examId;
        HttpHelper.post(url, null);
        log.info("考生已清空！examId = " + examId);
    }

}
